package com.xhpc.user.mapper;

import com.xhpc.user.domain.XhpcCommunity;
import com.xhpc.user.domain.XhpcCommunityPersonnel;
import com.xhpc.user.domain.XhpcMotorcade;
import com.xhpc.user.domain.XhpcMotorcadePersonnel;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author yuyang
 * @Date 2026-01-15 14:15
 */
public interface XhpcMotorcadeMapper {

    /**
     * 获取登陆用户信息
     */
    Map<String, Object> getLandUser(@Param("userId") Long userId);

    /**
     * 车队组树列表
     *
     * @param name         桩名称
     * @return
     */
    List<Map<String, Object>> list(@Param("name") String name, @Param("tenantId") String tenantId);

    Map<String, Object> getOrderMotorcade(@Param("mark")String mark);
    /**
     * 车队组树列表
     *
     * @param name         桩名称
     * @return
     */
    List<Map<String, Object>> tree(@Param("name") String name,@Param("tenantId") String tenantId);

    /**
     * 添加车队组
     * @return
     */
    int addMotorcade(XhpcMotorcade xhpcMotorcade);

    /**
     * 修改车队组
     * @return
     */
    int updateMotorcade(XhpcMotorcade xhpcMotorcade);
    /**
     * 删除车队车队组
     */
    void deleteMotorcade(@Param("motorcadeId")Long motorcadeId);

    /**
     * 检查改组是否还存在车队人员
     */
    int countMotorcadePersonnel(@Param("motorcadeId")Long motorcadeId);


    /**
     * 查询车队组
     * @param motorcadeId   车队id
     * @param name          名称
     * @param type          1 表示已车队id进行查询 2 排查车队id查询
     * @return
     */
    Map<String, Object> getMotorcadeById(@Param("motorcadeId")Long motorcadeId,@Param("name")String name,@Param("type")Integer type);



    List<Map<String, Object>> motorcadePersonnelTree(@Param("motorcadeId")String motorcadeId);

    /**
     * 车队人员列表
     * @return
     */
    List<Map<String, Object>> motorcadePersonnelList(@Param("motorcadeId")Long motorcadeId,@Param("account")String account,@Param("phone")String phone,@Param("status")Integer status);

    /**
     * 添加车队人员
     * @return
     */
    int addMotorcadePersonnel(XhpcMotorcadePersonnel XhpcMotorcadePersonnel);

    /**
     * 查询车队人员
     * @return
     */
    Map<String, Object> getMotorcadePersonnelById(@Param("motorcadePersonnelId")Long motorcadePersonnelId,@Param("phone")String phone,@Param("account")String account,@Param("type")Integer type);


    /**
     * 修改车队人员
     * @return
     */
    int updateMotorcadePersonnel(XhpcMotorcadePersonnel XhpcMotorcadePersonnel);

    /**
     * 删除车队社人员
     * @param motorcadePersonnelId
     */
    void deleteMotorcadePersonnel(@Param("motorcadePersonnelId")Long motorcadePersonnelId);

    /**
     * 车队人员状态改变
     */
    void updateMotorcadePersonnelStatus(@Param("motorcadePersonnelId")Long motorcadePersonnelId,@Param("status")Integer status);


    /**
     * 根据用户id获取车队组
     */
    Map<String, Object> getMotorcadePersonnelUserId(@Param("userId")Long userId,@Param("tenantId")String tenantId,@Param("chargingStationId")Long chargingStationId);
}
